Page MenuHomePhabricator

$.wikiEditor.isSupported() gone away without notice
Closed, ResolvedPublic1 Story Points

Description

$.wikiEditor.isSupported() gone away, going to break user scripts and gadgets.

It should re-added with proper deprecation log

Details

Related Gerrit Patches:
mediawiki/extensions/WikiEditor : masterRestore isSupported as deprecated dummy function

Event Timeline

eranroz triaged this task as Unbreak Now! priority.Jan 17 2018, 9:21 PM
eranroz created this task.
Restricted Application added subscribers: Liuxinyu970226, Jay8g, TerraCodes. · View Herald TranscriptJan 17 2018, 9:21 PM

Removed in https://gerrit.wikimedia.org/r/#/c/400697/.

I'm happy to restore it as a dummy function returning true with a two week deprecation period if you wish?

IDK how much this function is used on all wikis, but it is in MW NS in various places such as https://commons.wikimedia.org/wiki/MediaWiki:Edittools.js

When removing JS API, it should first replaced by dummy function with deprecation notice.

Jdforrester-WMF lowered the priority of this task from Unbreak Now! to Medium.Jan 18 2018, 12:11 AM

The $.wikiEditor.browsers object, which was equally internal to isSupported() but thanks to how JavaScript works can be read by any gadget, was also deleted in that commit; do you think that should be restored too?

eranroz raised the priority of this task from Medium to Unbreak Now!.Jan 18 2018, 6:19 AM

Explaining the priority: This is unbreak now because this is a breaking change, that wasn't annonced in news, and being used in major wikis (such as commons) going to break funcitonality. this is blocker for the 1.31.0-wmf.17 deployment

The $.wikiEditor.browsers object, which was equally internal to isSupported() but thanks to how JavaScript works can be read by any gadget, was also deleted in that commit; do you think that should be restored too?

If this is used by sites, it should be restored too. again - it could be just a dummy function with deprecation notice and removed in the near future. it has no important functionality beside being exist

Change 404962 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/WikiEditor@master] Restore isSupported as deprecated dummy function

https://gerrit.wikimedia.org/r/404962

mwgrep "wikiEditor.isSupported"
hewikivoyage        MediaWiki:Templateslist.js
hewiktionary        MediaWiki:Templateslist.js
kawiki              MediaWiki:Gadget-TemplateParamWizard.js
mkwiki              MediaWiki:Edittools.js
pnbwiki             MediaWiki:Gadget-TemplateParamWizard.js
pswiki              MediaWiki:Gadget-TemplateParamWizard.js
ptwikibooks         MediaWiki:Gadget-Edittools.js
ptwiktionary        MediaWiki:Gadget-Edittools.js
sahwiki             MediaWiki:Edittools.js
ukwikimedia         MediaWiki:Common.js
urwiki              MediaWiki:Gadget-TemplateParamWizard.js
urwiki              MediaWiki:Gadget-TemplatesExternalLinks.js

Change 404962 merged by jenkins-bot:
[mediawiki/extensions/WikiEditor@master] Restore isSupported as deprecated dummy function

https://gerrit.wikimedia.org/r/404962

I suppose this needs backporting?

Deskana assigned this task to Esanders.Jan 18 2018, 1:01 PM
Deskana set the point value for this task to 1.
Deskana moved this task from To Triage to TR0: Interrupt on the VisualEditor board.
mwgrep "wikiEditor.isSupported"
ukwikimedia         MediaWiki:Common.js

I've fixed all WMF wikis so it's less urgent now.

mwgrep "wikiEditor.isSupported"
ukwikimedia         MediaWiki:Common.js

I've fixed all WMF wikis so it's less urgent now.

In that case should we revert?

Well that doesn't include 3rd party users, and I can't edit the ukwikimedia one.

Jdforrester-WMF closed this task as Resolved.Jan 18 2018, 6:20 PM
Jdforrester-WMF lowered the priority of this task from Unbreak Now! to Medium.

OK. Doesn't need to block the train, though.

Probably not.

happy5214 moved this task from Backlog to Closed on the WikiEditor board.Aug 4 2019, 11:34 AM